curl --request GET \
--url https://api.messaging.phonovation.com/sms/1/inbox/reports \
--header 'Authorization: <api-key>'import requests
url = "https://api.messaging.phonovation.com/sms/1/inbox/reports"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/sms/1/inbox/reports");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.messaging.phonovation.com/sms/1/inbox/reports")
.header("Authorization", "<api-key>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/sms/1/inbox/reports",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.messaging.phonovation.com/sms/1/inbox/reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"results": [
{
"messageId": "817790313235066447",
"from": "353861234567",
"to": "353861234570",
"text": "QUIZ Correct answer is Paris",
"cleanText": "Correct answer is Paris",
"keyword": "QUIZ",
"receivedAt": "2019-11-09T16:00:00.000+0000",
"smsCount": 1,
"price": {
"pricePerMessage": 0,
"currency": "EUR"
},
"callbackData": "callbackData"
}
],
"messageCount": 1,
"pendingMessageCount": 1
}{
"requestError": {
"serviceException": {
"messageId": "BAD_REQUEST",
"text": "Bad request"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "UNAUTHORIZED",
"text": "Unauthorized"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "FORBIDDEN",
"text": "Forbidden"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "GENERAL_ERROR",
"text": "Something went wrong. Please contact support."
}
}
}Get inbound SMS messages
If you are unable to receive incoming SMS to the endpoint of your choice in real-time, you can use this API call to fetch messages. Each request will return a batch of received messages, only once. The API request will only return new messages that arrived since the last API request. To use this method, you’d need to:
- Buy a number capable of receiving SMS traffic.
- Specify a forwarding endpoint for the number and optionally configure other inbound settings.
Required scope: Enable one of: inbound-message:read, sms:inbound-message:read, sms:manage.
curl --request GET \
--url https://api.messaging.phonovation.com/sms/1/inbox/reports \
--header 'Authorization: <api-key>'import requests
url = "https://api.messaging.phonovation.com/sms/1/inbox/reports"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/sms/1/inbox/reports");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.messaging.phonovation.com/sms/1/inbox/reports")
.header("Authorization", "<api-key>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/sms/1/inbox/reports",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.messaging.phonovation.com/sms/1/inbox/reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"results": [
{
"messageId": "817790313235066447",
"from": "353861234567",
"to": "353861234570",
"text": "QUIZ Correct answer is Paris",
"cleanText": "Correct answer is Paris",
"keyword": "QUIZ",
"receivedAt": "2019-11-09T16:00:00.000+0000",
"smsCount": 1,
"price": {
"pricePerMessage": 0,
"currency": "EUR"
},
"callbackData": "callbackData"
}
],
"messageCount": 1,
"pendingMessageCount": 1
}{
"requestError": {
"serviceException": {
"messageId": "BAD_REQUEST",
"text": "Bad request"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "UNAUTHORIZED",
"text": "Unauthorized"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "FORBIDDEN",
"text": "Forbidden"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "GENERAL_ERROR",
"text": "Something went wrong. Please contact support."
}
}
}Authorizations
This is the most secure authorization type and the one with the most flexibility.
API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.
You can manage your API keys from GUI, or programmatically with dedicated API.
API key Authorization header example:
Authorization: App 003026bbc133714df1834b8638bb496e-8f4b3d9a-e931-478d-a994-28a725159ab9
Query Parameters
Maximum number of messages to be returned in a response. If not set, the latest 50 records are returned. Maximum limit value is 1000 and you can only access messages for the last 48h.
Application id that the message is linked to. For more details, see our documentation.
Entity id that the message is linked to. For more details, see our documentation.
ID of a campaign that was sent in the message.